MariaDBについて質問です。

Writer: admin Type: arte Date: 2019-01-05 00:00
MariaDBについて質問です。■サーバ CentOS7.4Apache(httpd) 2.4.6PHP 5.4.16phpMyAdminMariaDB 10.2.8という環境を構築しました今まではCenOS7標準のMySQL5.5でやってたのですが、MariaDB5系はMYSQL5系と互換性があるという事なのですが、今回は深く考えずに10系にしました。(1)MariaDB10系にするとPHPからデータベースにアクセスして操作するソースコード全体が大きく変わってくるのでしょうか?(2)従来のPHP+MySQLの教材テキストでは対応できませんか?(3)MySQL5.5で使っていたデータベースをMariaDB10系にインポートしても使えますか?簡潔に教えてください。PHPも5系と7系とあって頭が混乱してます共感した0###> という環境を構築しましたあまりにも PHPのバージョンが古く、新規に作るにはあり得ない環境だと思います。http://php.net/supported-versions.phpMySQL と MariaDB は、一般的な使用方法なら差異を考える必要は無いはずです。便利な機能とか特殊な機能とかを使用したいのであれば注意が必要でしょうが、(そういう質問をする位の理解度の)初学者であれば多分それらを使用していないでしょう。> 従来のPHP+MySQLの教材テキストでは対応できませんか?入門用の教材程度の情報は、上記の様に注意が必要なモノは出て来ないでしょう。ですが、古い資料や教材を使うのは避けるべきです。__過去の常識は現在の非常識となる事は多々あります新しいモノを使うと、MySQL ではなく MariaDB が対象になっているモノが増えると思います。> PHPも5系と7系とあって現時点で PHP5.x は考える必要は無いでしょう。実行しつつ修正するのはとても面倒ですし、全ての機能をすべての条件で実行する必要があり、現実的では無いと考えます。__じゃないと、ある日突然エラーに遭遇するIDEを使えば、使用するバージョン毎にエラーの有無をチェックしてくれるでしょうから、実行する必要がありません。ナイス0
###PHPのバージョンも7に上げた方がいいですかね?
###よほど特殊な使い方していなければ大丈夫です。インポート・エクスポートはバイナリファイルではなくSQLテキストが無難です。PHPについては、年々 文法が厳密になっていますので 古く曖昧なソースは 最悪停止します。実際に動作させて ログを元に改修したほうが早いです。頑張ってください。ナイス0

 

TAG